Bug 122909 - RFE: pre-definitions for cyrus-imapd in sendmail.mc/.cf
RFE: pre-definitions for cyrus-imapd in sendmail.mc/.cf
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-05-10 07:37 EDT by Alexander Dalloz
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: sendmail-8.13.4-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-25 14:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Dalloz 2004-05-10 07:37:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.4.1)

Description of problem:
Using Sendmail together with Cyrus-IMAPd requires at least the 3
following lines in the sendmail.mc as basis for the sendmail.cf:

define(`confLOCAL_MAILER', `cyrusv2')dnl
define(`CYRUSV2_MAILER_ARGS', `FILE /var/lib/imap/socket/lmtp')dnl

Those will generate the necessary entries in the sendmail.cf to use
Cyrus-IMAPd as the local mailer. Very important is the second line,
setting the path to the lmtp socket. By default the cyrusv2.mv macro
(usr/share/sendmail-cf/mailer/cyrusv2.m4) points to:

FILE /var/imap/socket/lmtp

while the Cyrus-IMAPd cyrus-imapd-2.2.3-10 has its socket directory 


and therefor it is essential to define the correct socket path.

The 3 given sendmail.mc lines should at least be in sendmail.mc as
commented lines to make it easy to activate the combination Sendmail
and Cyrus-IMAPd.

The site http://anfi.homeunix.net/cyrus/#sendmail has more cyrus
macros - offered to the sendmail.org staff, but yet not official part
of the Sendmail distribution. Those macros take care for the new
features of Cyrus-IMAPd version 2.2.x with virtual domain support.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. by default Sendmail misses any knowledge about Cyrus-IMAPd

Actual Results:  the combination would fail and mail is lost if having
Sendmail and Cyrus-IMAPd installed

Expected Results:  Sendmail should have pre-definitions for the use of
Cyrus-IMAPd (sieve) as the local delivery agent 

Additional info:

Comment 1 gene smith 2005-01-27 23:18:07 EST
Not sure how much of a "bug" this is but thanks for posting it. It is
exactly the information I was looking for!
Comment 2 gene smith 2005-07-16 00:51:23 EDT
This is in the fc4 sendmail.mc

Note You need to log in before you can comment on or make changes to this bug.